# Generated by Django 4.2.3 on 2023-08-02 08:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("quizzes", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="quizparticipant",
            name="user",
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name="quiz",
            name="author",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="quizzes", to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.AddField(
            model_name="quiz",
            name="participants",
            field=models.ManyToManyField(through="quizzes.QuizParticipant", to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name="question",
            name="quiz",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="questions", to="quizzes.quiz"
            ),
        ),
        migrations.AddField(
            model_name="invitation",
            name="quiz",
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="quizzes.quiz"),
        ),
        migrations.AddField(
            model_name="answer",
            name="question",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="answers", to="quizzes.question"
            ),
        ),
        migrations.AlterUniqueTogether(
            name="quizparticipantanswer",
            unique_together={("participant", "question")},
        ),
        migrations.AlterUniqueTogether(
            name="quizparticipant",
            unique_together={("user", "quiz")},
        ),
        migrations.AlterUniqueTogether(
            name="invitation",
            unique_together={("quiz", "email")},
        ),
    ]
